module reset_generator (
                        input wire clk,
                        output reg reset
                        );

reg [3:0] counter = 4'b0000;

always @ (posedge clk)                       // when the device is powered-up a reset signal is generated (14 clock cycles width)
begin   
   case (counter) 
      0: begin                     
            reset <= 0;
            counter <= counter + 1;
         end 
      1: begin                     
            reset <= 0;
            counter <= counter + 1;
         end
      15:begin                     
            reset <= 0;
         end
      default: begin 
                  reset <= 1;
                  counter <= counter + 1;
               end
   endcase
end                       

endmodule